Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class DefinitionCount

    java.lang.Object
      com.bea.netuix.application.definition.DefinitionCount

    public class DefinitionCount

extends Object

A convenience class to supply the definition counts of different WebLogic Portal Framework entities for a particular web app.

Constructor Summary
`DefinitionCount()`

Method Summary
`int` | `getBookDefinitionCount()` Returns the number of `BookDefinition`s.
`int` | `getLayoutDefinitionCount()` Returns the number of `LayoutDefinition`s.
`int` | `getLookAndFeelDefinitionCount()` Returns the number of `LookAndFeelDefinition`s.
`int` | `getMenuDefinitionCount()` Returns the number of `MenuDefinition`s.
`int` | `getPageDefinitionCount()` Returns the number of `PageDefinition`s
`int` | `getPortletDefinitionCount()` Returns the number of `PortletDefinition`s
`int` | `getShellDefinitionCount()` Returns the number of `ShellDefinition`s
`int` | `getThemeDefinitionCount()` Returns the number of `ThemeDefinition`s
`int` | `getTotalDefinitionCount()` Returns a sum of all its constituent definition counts.
`void` | `setBookDefinitionCount(int bookDefinitionCount)` Sets the number of `BookDefinition`s.
`void` | `setLayoutDefinitionCount(int layoutDefinitionCount)` Sets the number of `LayoutDefinition`s.
`void` | `setLookAndFeelDefinitionCount(int lookAndFeelDefinitionCount)` Sets the number of `LookAndFeelDefinition`s.
`void` | `setMenuDefinitionCount(int menuDefinitionCount)` Sets the number of `MenuDefinition`s.
`void` | `setPageDefinitionCount(int pageDefinitionCount)` Sets the number of `PageDefinition`s
`void` | `setPortletDefinitionCount(int portletDefinitionCount)` Sets the number of `PortletDefinition`s
`void` | `setShellDefinitionCount(int shellDefinitionCount)` Sets the number of `ShellDefinition`s
`void` | `setThemeDefinitionCount(int themeDefinitionCount)` Sets the number of `ThemeDefinition`s

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionCount

    public DefinitionCount()

Method Detail

### getBookDefinitionCount

    public int getBookDefinitionCount()

  Returns the number of `BookDefinition`s.

  Returns
    number of `BookDefinition`s

### setBookDefinitionCount

    public void setBookDefinitionCount(int bookDefinitionCount)

  Sets the number of `BookDefinition`s.

  Parameters
    `bookDefinitionCount` - number of `BookDefinition`s

### getLayoutDefinitionCount

    public int getLayoutDefinitionCount()

  Returns the number of `LayoutDefinition`s.

  Returns
    number of `LayoutDefinition`s

### setLayoutDefinitionCount

    public void setLayoutDefinitionCount(int layoutDefinitionCount)

  Sets the number of `LayoutDefinition`s.

  Parameters
    `layoutDefinitionCount` - number of `BookDefinition`s

### getLookAndFeelDefinitionCount

    public int getLookAndFeelDefinitionCount()

  Returns the number of `LookAndFeelDefinition`s.

  Returns
    number of `LookAndFeelDefinition`s

### setLookAndFeelDefinitionCount

    public void setLookAndFeelDefinitionCount(int lookAndFeelDefinitionCount)

  Sets the number of `LookAndFeelDefinition`s.

  Parameters
    `lookAndFeelDefinitionCount` - number of `LookAndFeelDefinition`s

### getMenuDefinitionCount

    public int getMenuDefinitionCount()

  Returns the number of `MenuDefinition`s.

  Returns
    number of `LookAndFeelDefinition`s

### setMenuDefinitionCount

    public void setMenuDefinitionCount(int menuDefinitionCount)

  Sets the number of `MenuDefinition`s.

  Parameters
    `menuDefinitionCount` - number of `MenuDefinition`s

### getPageDefinitionCount

    public int getPageDefinitionCount()

  Returns the number of `PageDefinition`s

  Returns
    number of `PageDefinition`s

### setPageDefinitionCount

    public void setPageDefinitionCount(int pageDefinitionCount)

  Sets the number of `PageDefinition`s

  Parameters
    `pageDefinitionCount` - number of `PageDefinition`s

### getPortletDefinitionCount

    public int getPortletDefinitionCount()

  Returns the number of `PortletDefinition`s

  Returns
    number of `PortletDefinition`s

### setPortletDefinitionCount

    public void setPortletDefinitionCount(int portletDefinitionCount)

  Sets the number of `PortletDefinition`s

  Parameters
    `portletDefinitionCount` -

### getShellDefinitionCount

    public int getShellDefinitionCount()

  Returns the number of `ShellDefinition`s

  Returns
    number of `ShellDefinition`s

### setShellDefinitionCount

    public void setShellDefinitionCount(int shellDefinitionCount)

  Sets the number of `ShellDefinition`s

  Parameters
    `shellDefinitionCount` - number of `ShellDefinition`s

### getThemeDefinitionCount

    public int getThemeDefinitionCount()

  Returns the number of `ThemeDefinition`s

  Returns
    number of `ThemeDefinition`s

### setThemeDefinitionCount

    public void setThemeDefinitionCount(int themeDefinitionCount)

  Sets the number of `ThemeDefinition`s

  Parameters
    `themeDefinitionCount` - number of `ThemeDefinition`s

### getTotalDefinitionCount

    public int getTotalDefinitionCount()

  Returns a sum of all its constituent definition counts.

  Returns
    sum of all definition counts

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved